/**
 *
 */
package com.sea.slave;

public class Led {

public static final int LD_OFF = 0;
public static final int LD_ON = 1;
public static final int LD_AUTO = 2;
public static final int LD_EQUAL_SLOW = 3;
public static final int LD_EQUAL_FAST = 4;
public static final int LD_BLINK_SLOW_ONCE = 5;
public static final int LD_BLINK_SLOW_TWIC = 6;
public static final int LD_BLINK_SLOW_ONCE_NEG = 7;

public int currentValue = LD_AUTO; // LD_OFF .. LD_BLINK_SLOW
public boolean currentValueUsed = false;
public int futureValue = LD_AUTO;
public boolean override = false;
public int overrideValue = LD_AUTO;

public Led(int startValue) {
  currentValue = startValue;
}

/**
 * Return real value of the LED, taking override into account
 *
 * @return
 */
public int getRealValue() {
  int result;

  result = override ? overrideValue : currentValue;
  if (!currentValueUsed) {
    currentValue = futureValue;
    currentValueUsed = true;
  }
  return result;

}
}
