/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.sea.utils;

import com.cinterion.io.ATCommandFailedException;
import com.sea.log.Logger;
import com.sea.modem.ATSender;

/**
 *
 * @author vorisek
 */
// --------------------------------------------------
// Private class
// --------------------------------------------------
public class WatchdogDeviceReset implements Runnable {

private ATSender atc;
private static boolean bWasReset = false;

public WatchdogDeviceReset(ATSender atcc) {
  super();
  atc = atcc;
}

public void run() {
  if (!bWasReset) {
    Logger.log("@WatchdogDeviceReset", "Going to RESET!");
    bWasReset = true;
    try {
      atc.send("at+cfun=1,1\r");
    } catch (ATCommandFailedException ex) {
      ex.printStackTrace();
    }
  }
}

}
