package com.sea.gbgs5ktest;

import javax.microedition.midlet.MIDlet;

/**
 * GBGS5K-TEST
 *
 * History:
 * 2018-08-13 GBGS5K-TEST, version 1.01
 * a) project foundation, import from GSM-R5-ZAS, version 1.02
 * 2018-08-19 GBGS5K-TEST, version 1.02
 * a) +Slave: command CMD_CONFIG
 * 2020-01-07 GBGS5K-TEST, version 1.03
 * a) +Slave: implementation of CMD_RESTART with SLEEP mode (from slave version 5.07)
 * 2021-03-08 GBGS5K-TEST, version 1.04
 * a) +Slave: implementation of CMD_RESTART with SLEEP mode (from slave version 5.07)
  

 */
/**
 * TODOLIST
 * 
 */

/*
 Legend:

 * -> Security Fix
 # -> Bug Fix
 $ -> Language fix or change
 + -> Addition
 ^ -> Change
 - -> Removed
 ! -> Note
 */
public class Main extends MIDlet {

// --------------------------------------------------
// Public Constants
// --------------------------------------------------  
// --------------------------------------------------
// Public Properties
// --------------------------------------------------
// --------------------------------------------------
// Public Constants
// --------------------------------------------------  
public static final String PRODUCT_NAME = "GBGS5KTEST";
public static final String PRODUCT_NUMBER = "FF-FF-FF-FF";
public static final String PRODUCT_VERSION = "1.04";

// --------------------------------------------------
// Public Properties
// --------------------------------------------------
// --------------------------------------------------
// Private Constants
// --------------------------------------------------
private static Main instance = null;
// --------------------------------------------------
// Private Properties
// --------------------------------------------------
private static Control cntrl;

/**
 * startApp()
 */
public void startApp() {

  instance = this;

  cntrl = Control.getInstance();
  cntrl.startRunning();

}

public void pauseApp() {
}

/**
 * destroyApp
 *
 * @param unconditional boolean
 */
public void destroyApp(boolean unconditional) {

  String _prefix = "@Main: ";
  System.out.println(_prefix + "------------------------------------------------------------------");
  System.out.println(_prefix + "--          Shutting down                                       --");
  System.out.println(_prefix + "------------------------------------------------------------------");
  if (cntrl != null) {
    try {
      cntrl.stopRunning();
      cntrl.join();
      cntrl = null;
    } catch (InterruptedException ex) {
      cntrl = null;
      ex.printStackTrace();
    }
  }

  System.out.println("@Main: APPLICATION HALTED! ");
  notifyDestroyed();
}

/**
 * getInstance()
 */
public static Main getInstance() {
  return instance;
}

}
